Class | Chef::EventDispatch::Dispatcher
In: | lib/chef/event_dispatch/dispatcher.rb
Parent: | Base

## EventDispatch::Dispatcher

The Dispatcher handles receiving event data from the sources (Chef::Client, Resources and Providers, etc.) and publishing the data to the registered subscribers.

### Methods

def_forwarding_method new register

### Public Class methods

def_forwarding_method(method_name)

Define a method that will be forwarded to all

new(*subscribers)

### Public Instance methods

register(subscriber)

Add a new subscriber to the list of registered subscribers

[Validate]